# -*- coding: utf-8 -*-

from __future__ import (absolute_import, division,
                        print_function, unicode_literals)
from builtins import *

from django.contrib.auth.context_processors import PermWrapper
from .views import KFET_OPEN, KFET_FORCE_CLOSE


def auth(request):
    if hasattr(request, 'real_user'):
        return {
            'user': request.real_user,
            'perms': PermWrapper(request.real_user),
        }
    return {}


def kfet_open(request):
    (kfet_open, kfet_open_date) = KFET_OPEN()
    kfet_force_close = KFET_FORCE_CLOSE()
    return {
            'kfet_open': kfet_open,
            'kfet_open_date': kfet_open_date,
            'kfet_force_close': kfet_force_close,
        }
